package web

import (
	"net/http"

	"github.com/flamego/flamego"
	"github.com/flamego/template"
)

func RegisterRoutes(f *flamego.Flame) {
	// index route - landing page for the user
	f.Get("/", func(t template.Template, data template.Data) {
		data["title"] = "Dashboard"
		t.HTML(http.StatusOK, "index")
	})

	// item list route - lists all of the items in the database
	f.Group("/item", func() {
		f.Get("/list", func(t template.Template, data template.Data) {
			data["title"] = "List of Inventory"
			t.HTML(http.StatusOK, "item/list")
		})

		f.Get("/create", func(t template.Template, data template.Data) {
			data["title"] = "Create New Item"
			t.HTML(http.StatusOK, "item/create")
		})
	})
}
